sigchq
Anterior | Documentación de referencia de programas | Siguiente

## Nombre de referencia

sigchq — Chequea un archivo XML para `sigue`.

## Sinopsis

sigchq [`opciones`] `arch` [`arch ...`]

## Descripción

Recibe uno o más archivos XML para `sigue` (DTDs `prcla.dtd`, `individuo.dtd`, `grupo.dtd`, `rep.dtd` o `planest.dtd`) y chequea su sintaxis y convenciones.

Las opciones son las siguientes:

`-ayuda`

  Presenta ayuda corta y opciones

`-D`

  Establece otro directorio en el cual buscar archivos con más precedencia

`-man`

  Presenta página del manual

`-refentry`

  Presenta página del manual en formato DocBook

`-V`

  Versión de este programa

`-f`

  Establece formato de descripciones: `texto`, `tex` o `docbook`

`-l`

  Establece longitud máxima de descripciones. e.g -l 80

`-c`

  Establece nombre del archivo de clasificaciones por defecto (si se omite se usa el mismo nombre del archivo de secuencia/progreso pero con extensión .cla)

`-p`

  Indica predicado que debe cumplir el periodo. El predicado debe ser de la forma p=dato o p!=dato o p<dato o p<=dato o p>dato o p>=dato donde cada dato puede ser un flotante, un entero o una cadena (entre apostrofes), pueden usarse paréntesis y los operadores !p, p1 && p2 y p1 || p2. Del predicado se debe deducir un tipo único para p e.g -p "p='p/2012-1' || p='p/2012-2'". Algunos chequeos requieren buscar datos en rangos de periodos, en esos casos se emplea el orden usual del tipo p (lexicográfico en el caso de cadenas)

`-cron`

  Especifica archivo con cronograma y tipo de periodos. Extrae periodos válidos del archivo especificado, de las secuencias con el tipo especificado. Separar archivo de tipo con ':'. e.g -cron "cron.sec:Periodo"

`-g`

  Establece predicado para valoraciones de acuerdo al tipo de clasificación. Es de la forma t_1:p_1;t_2:p_2...t_n:p_n donde t_i es un tipo de clasificación referenciada (o vacío y si aplica a valoraciones fuera de clasificación), p_i es un predicado para ese tipo en la variable 'g' ---sintaxis análoga a la de la opción -p--- e.g -g ":(g='D' || g='I') ; Indicador:(g='E' || g='B' || g='I')" Para especificar valoraciones posibles en ejercicio emplee el tipo `ejercicio´.

`-n`

  No usar archivo de clasificaciones por defecto

`-b`

  Indica que no deben reportarse errores cuando falten datos al chequear individuos

`-datos`

  Indica datos mínimos que cada persona debe tener y opcionalmente el formato. Separar un tipo de otro con ';' y si se desea especificar formato, escribirlo a continuación del tipo separado con ':'. El formato debe ser de la forma d=dato o d!=dato o d<dato o d<=dato o d>dato o d>=dato donde cada dato puede ser un flotante, un entero o una cadena (entre apostrofes), pueden usarse paréntesis y los operadores !p, p1 & & p2 y p1 || p2. Del predicado se debe deducir un tipo único para d e.g -datos "Nombre:d<>'';Tipo de documento:d='TI' || d='CC'"

`-cursos`

  En un plan de estudios, establece orden de cursos. Separar un identificador de otro con ';' e.g -cursos "Nivel;Grado"

`-asignaturas`

  En un plan de estudios, establece orden de asignaturas. Separar un identificador de otro con ';' e.g -asignaturas "Área;Asignatura"

Las convenciones precisas que cada formato debe seguir están en la documentación de cada formato (ver al final de está documentación)

Los errores son reportados por `stderr`. Al completar la revisión si encuentra algún error retornará 1 al sistema operativo (en caso de éxito retorna 0).

El formato de los errores reportados es estándar:

    archivo:linea:columna mensaje_error

y puede ser empleado por varios editores de texto (e.g vi o emacs) para ubicar automáticamente la posición del error.

## Ejemplos

    sigchq bot.prc

Revisa el archivo de progreso `bot.prc`

    sigchq -D /usr/share/xml/structio bot.prc bot.ind

Que revisa el archivo de progreso `bot.prc` y el archivo de individuo `bot.ind`, pero emplea con preferencia la ruta `/usr/share/xml/structio` para buscar archivos XML y DTDs.

## Ver también

prcla(5), grupo(5), individuo(5), planest(5), rep(5),

Anterior | Subir | Siguiente
Documentación de referencia de programas | Inicio | reporte